## com.sun.jersey.core.osgi
Class Activator

    java.lang.Object
      com.sun.jersey.core.osgi.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends java.lang.Object
implements org.osgi.framework.BundleActivator

`Activator` for Jersey core bundle. Only purpose of this `Activator` is to initialize `OsgiRegistry`.

Author:
  Michal Gajdos (michal.gajdos at oracle.com)

Constructor Summary
`Activator()`

Method Summary
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `java.lang.Exception`

Copyright © 2017 Oracle Corporation. All Rights Reserved.